org.appng.xml.platform

## Class OpenapiAction

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Linkable
    - - org.appng.xml.platform.OpenapiAction

- All Implemented Interfaces:
    Serializable

      public class OpenapiAction
      extends Linkable
      implements Serializable

  Java class for openapi-action complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="openapi-action">
         <complexContent>
           <extension base="{http://www.appng.org/schema/platform}linkable">
             <sequence>
               <element name="params" type="{http://www.appng.org/schema/platform}params" minOccurs="0"/>
             </sequence>
             <attribute name="target" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="event-id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="interactive" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `eventId`
    `protected String` | `id`
    `protected Boolean` | `interactive`
    `protected Params` | `params`
    `protected String` | `target`

    - ### Fields inherited from class org.appng.xml.platform.Linkable

      `_default, active, condition, confirmation, disabled, icon, label, permissions, showDisabled, textelements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenapiAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEventId()` The Event-ID of the action.
    `String` | `getId()` The ID of the action.
    `Params` | `getParams()` Gets the value of the params property.
    `String` | `getTarget()` The URI of the OpenAPI action
    `boolean` | `isInteractive()` Wether or not this action requires additional user-input.
    `void` | `setEventId(String value)` Sets the value of the eventId property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setInteractive(Boolean value)` Sets the value of the interactive property.
    `void` | `setParams(Params value)` Sets the value of the params property.
    `void` | `setTarget(String value)` Sets the value of the target property.

    - ### Methods inherited from class org.appng.xml.platform.Linkable

      `getActive, getCondition, getConfirmation, getDefault, getIcon, getLabel, getPermissions, getTextelements, isDisabled, isShowDisabled, setActive, setCondition, setConfirmation, setDefault, setDisabled, setIcon, setLabel, setPermissions, setShowDisabled, setTextelements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected Params params

    - #### target

          protected String target

    - #### id

          protected String id

    - #### eventId

          protected String eventId

    - #### interactive

          protected Boolean interactive

  - ### Constructor Detail

    - #### OpenapiAction

          public OpenapiAction()

  - ### Method Detail

    - #### getParams

          public Params getParams()

      Gets the value of the params property.
      Returns:
        possible object is `Params`

    - #### setParams

          public void setParams(Params value)

      Sets the value of the params property.
      Parameters:
        `value` - allowed object is `Params`

    - #### getTarget

          public String getTarget()

      The URI of the OpenAPI action
      Returns:
        possible object is `String`

    - #### setTarget

          public void setTarget(String value)

      Sets the value of the target property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      The ID of the action.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEventId

          public String getEventId()

      The Event-ID of the action.
      Returns:
        possible object is `String`

    - #### setEventId

          public void setEventId(String value)

      Sets the value of the eventId property.
      Parameters:
        `value` - allowed object is `String`

    - #### isInteractive

          public boolean isInteractive()

      Wether or not this action requires additional user-input.
      Returns:
        possible object is `Boolean`

    - #### setInteractive

          public void setInteractive(Boolean value)

      Sets the value of the interactive property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.